﻿/*
COPYRIGHT (C) 2011-2012 Raynald Messié

THIS FILE IS PART OF SCRUMPILOT.

SCRUMPILOT IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF 
THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

SCRUMPILOT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT
EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER
GENERAL PUBLIC LICENSE FOR MORE DETAILS.

YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH SCRUMPILOT. 
IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;

namespace ScrumPilot.DB
{
    public partial class tfsserverparam
    {
        public String FormattedUrl
        {
            get
            {
                
                var urlRet = String.Format("http://{0}:{1}/", tfsurl, tfsport);
                urlRet += !String.IsNullOrEmpty(tfsdirectory) ? tfsdirectory + "/" : "";
                return urlRet;
            }
        }

        public int ScrumPilotScorePeriod
        {
            get { return 0; } // 1 week :=> should be in DB and be a param 0:week 1: two week  2:month
        }
    }
}