﻿using System;
using System.Collections.Generic;

namespace ScrumPilot.Domain.Models
{
    public class BaseProject
    {
        public Int32 ID { get; set; }
        public String Name { get; set; }
        public String CurrentSprint { get; set; }
    }

    public class Project : BaseProject
    {
        public Boolean Selected { get; set; }
        public IEnumerable<Iteration> Iterations { get; set; }
        public Boolean SubscribeCheckin { get; set; }
        public Boolean SubscribeWIChanged { get; set; }
    }

    public class Iteration
    {
        public String ID { get; set; }
        public String Name { get; set; }
        public int SID { get; set; }
    }
}
