﻿/*
COPYRIGHT (C) 2011-2012 Raynald Messié

THIS FILE IS PART OF SCRUMPILOT.

SCRUMPILOT IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF 
THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

SCRUMPILOT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT
EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER
GENERAL PUBLIC LICENSE FOR MORE DETAILS.

YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH SCRUMPILOT. 
IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

function SprintDef(param) {
    var options = param;
    var that = this;
    var aUrlParam = new Array({ Name: '_UpdateSprintDef', Controller: "Sprint", Area: "", Url: "" },
                              { Name: '_SprintFollowedProject', Controller: "Sprint", Area: "", Url: "" },
                              { Name: 'SetIterations', Controller: "Sprint", Area: "", Url: "" }
    );

    this.ReadyJS = function () {
      //  $(document).ajaxStart(BlockUi()).ajaxStop($.unblockUI());
        CallService('POST', param.resolveUrl, { listToResolve: aUrlParam }, true,
            function (msg) {
                aUrlParam = msg;
            });
    };

    this.EditDialogComplete = function () {
        $('#dialog-sprint').dialog('close');
        window.location.reload();
    };

    this.OpenUpdSprint = function (id) {
        loadAjaxHtml("dialog-sprint", aUrlParam[0].Url + "/" + id, 'none', function () {
            $("#StartDate,#EndDate").datepicker({
                showOn: "button",
                buttonText: "Set"
            }).datepicker($.datepicker.regional[g_cultureJS]);
            $('#dialog-sprint').dialog({
                autoOpen: false,
                width: 500,
                modal: true,
                hide: "highlight",
                buttons: {
                    Cancel: function () { $(this).dialog("close"); },
                    "Save": function () { $("#SprintForm").submit(); }
                }
            }).dialog('open');
        });
    };

    this.OpenSetIteration = function (id) {
        loadAjaxHtml("dialog-sprint", aUrlParam[1].Url + "/" + id, 'none', function () {
            $('#mySelectBox').toChecklist({ submitDataAsArray: false });
            $('#dialog-sprint').dialog({
                autoOpen: false,
                width: 400,
                height: 550,
                modal: true,
                hide: "highlight",
                buttons: {
                    Cancel: function () { $(this).dialog("close"); },
                    "Save": function () {
                        var selectedValues = new Array();
                        $("#mySelectBox input:checked").each(function () {
                            selectedValues.push($(this).val());
                        });
                        if (selectedValues.length > 0) {
                            CallService("POST", aUrlParam[2].Url, { sprintId: id, selectedValues: selectedValues }, true, function () {
                                return that.EditDialogComplete();
                            });
                        }
                    }
                }
            }).dialog('open');
        });
    };

    return this;
}