﻿using System;
using System.Collections.Generic;

namespace ScrumPilot.Domain.Models
{
    public class CheckinModel
    {
        public Int32 AuthorID { get; set; }
        public String Title { get; set; }
        public String Comments { get; set; }
        public String Author { get; set; }
        public String ActionDate { get; set; }
        public List<Artifact> Artifacts { get; set; }
    }

    public class Artifact
    {
        public String Name { get; set; }
        public String Url { get; set; }
        public String ChangedType { get; set; }
    }

    public class CheckOutFile
    {
        public Int32 Id { get; set; }

        public String Name { get; set; }
// ReSharper disable InconsistentNaming
        public DateTime date { get; set; }
// ReSharper restore InconsistentNaming
        public String ProjectName { get; set; }

        public string Date
        {
            get { return date.ToString("f"); }
        }

        public string ISO8601Date
        {
            get { return date.ToString("o"); }
        }

        public String OwnerName { get; set; }
        public Nullable<Int32> OwnerID { get; set; }
    }

 
}
