/*
COPYRIGHT (C) 2011-2013 Raynald Messi

THIS FILE IS PART OF SCRUMPILOT.

SCRUMPILOT IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF 
THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

SCRUMPILOT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT
EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER
GENERAL PUBLIC LICENSE FOR MORE DETAILS.

YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH SCRUMPILOT. 
IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

/// <reference path="Commons/Base.ts" />

class SprintDef extends Base.Page {
    Ready() {
        $('.CheckButton').click(function () {
            var id: number = $(this).attr('data-id');
            Base.Page.Self.OpenSetIteration(id);
        });

        $('.EditButton').click(function () {
            var id: number = $(this).attr('data-id');
            Base.Page.Self.OpenUpdSprint(id);
        });
        $('.DeleteButton').click(function () {
            var id: number = $(this).attr('data-id');
            // Todo
        });

    }

    EditDialogComplete() {
        $('#dialog-sprint').dialog('close');
        window.location.reload();
    };

    OpenUpdSprint(id:number) {
        loadAjaxHtml("dialog-sprint", this.aUrl[0] + "/" + id, 'none', function () {
            $("#StartDate,#EndDate").datepicker({
                showOn: "button",
                buttonText: "Set"
            }).datepicker($.datepicker.regional[g_cultureJS]);
            $('#dialog-sprint').dialog({
                autoOpen: false,
                width: 500,
                modal: true,
                hide: "highlight",
                buttons: {
                    Cancel: function () { $(this).dialog("close"); },
                    "Save": function () { $("#SprintForm").submit(); }
                }
            }).dialog('open');
        });
    };

    OpenSetIteration(id) {
        loadAjaxHtml("dialog-sprint", this.aUrl[1] + "/" + id, 'none', function () {
            $('#mySelectBox').toChecklist({ submitDataAsArray: false });
            $('#dialog-sprint').dialog({
                autoOpen: false,
                width: 400,
                height: 550,
                modal: true,
                hide: "highlight",
                buttons: {
                    Cancel: function () { $(this).dialog("close"); },
                    "Save": function () {
                        var selectedValues = new Array();
                        $("#mySelectBox input:checked").each(function () {
                            selectedValues.push($(this).val());
                        });
                        if (selectedValues.length > 0) {
                            CallService("POST", Base.Page.Self.aUrl[2], { sprintId: id, selectedValues: selectedValues }, true, function () {
                                Base.Page.Self.EditDialogComplete();
                            });
                        }
                    }
                }
            }).dialog('open');
        });
    };

}