﻿/// <reference path="jquery-1.4.4-vsdoc.js"/>
/// <reference path="~/Scripts/Utils.js" />
/*
COPYRIGHT (C) 2011-2012 Raynald Messié

THIS FILE IS PART OF SCRUMPILOT.

SCRUMPILOT IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF 
THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

SCRUMPILOT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT
EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER
GENERAL PUBLIC LICENSE FOR MORE DETAILS.

YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH SCRUMPILOT. 
IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

var g_UrlSetScore, g_urlWiList, g_urlCheckOut;

function ReadyUserView(id, urlWall, urlInfo, urlWilist, urlCheckout, urlScore) {
 //   $(document).ajaxStart(BlockUi()).ajaxStop($.unblockUI);
    g_UrlSetScore = urlScore;
    g_urlWiList = urlWilist + "/" + id;
    g_urlCheckOut = urlCheckout + "/" + id;
    setUpWall(urlWall, id);
    setUserMoreInfo(urlInfo, id);
    return RefreshLists();
}

function RefreshLists() {
    loadAjaxHtml('workitemlist', g_urlWiList + "/?t=1", 'none');
    loadAjaxHtml("checkedoutlist", g_urlCheckOut + "/?t=1", 'none');
    loadAjaxHtml("scoringlist", g_urlWiList + '/?t=2', 'none');
}

function setUpWall(url, userid) {
    var t = $("#walluserlist");
    t.setTemplate($("#WallListBodyTemplate").html());
    t.processTemplateStart(url, null, 120000, { id: userid, Last: 20 }, { on_success: CBRefreshWall });
}

function CBRefreshWall() {
    $(".WCDC").button({ icons: { primary: "ui-icon-trash" }, text: false });
    $('abbr.timeago').timeago();
}

function setUserMoreInfo(url, id) {
    $.getJSON(url + '/' + id, function (data) {
        if (data) {
            var field = $("#TFSdescription");
            field.html(data[0]);
            field.show();
            field = $("#UserProjectList");
            field.html(data[1]);
            field.show();
        }
    });
}

function followUser(url, id, action) {
    // action=0 : follow / 1:unfollow
    CallService('POST', url, { id: id, type: action }, true, function () { window.location.reload(); });
}

function newActivity(url, fieldtext) {
    var text = $(fieldtext).val();
    CallService('POST', url, { txt: text }, true, function () { window.location.reload(); });
}